Email stop-list metrics
curl --request POST \
--url https://app.gtm-api.com/email/v4/api/email-suppressions/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Team-SID: <api-key>' \
--data '
{
"period": {
"from": "<string>",
"to": "<string>"
},
"filter": {
"sid": {
"eq": "<string>",
"in": [
"<string>"
]
},
"address": {
"eq": "<string>",
"in": [
"<string>"
]
},
"origin": {
"in": [],
"nin": []
},
"created_at": {
"gte": "<string>",
"lte": "<string>",
"gt": "<string>",
"lt": "<string>"
},
"deleted_at": {
"gte": "<string>",
"lte": "<string>",
"is_null": true
}
},
"group_by": "origin"
}
'import requests
url = "https://app.gtm-api.com/email/v4/api/email-suppressions/metrics"
payload = {
"period": {
"from": "<string>",
"to": "<string>"
},
"filter": {
"sid": {
"eq": "<string>",
"in": ["<string>"]
},
"address": {
"eq": "<string>",
"in": ["<string>"]
},
"origin": {
"in": [],
"nin": []
},
"created_at": {
"gte": "<string>",
"lte": "<string>",
"gt": "<string>",
"lt": "<string>"
},
"deleted_at": {
"gte": "<string>",
"lte": "<string>",
"is_null": True
}
},
"group_by": "origin"
}
headers = {
"Authorization": "Bearer <token>",
"Team-SID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Team-SID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
period: {from: '<string>', to: '<string>'},
filter: {
sid: {eq: '<string>', in: ['<string>']},
address: {eq: '<string>', in: ['<string>']},
origin: {in: [], nin: []},
created_at: {gte: '<string>', lte: '<string>', gt: '<string>', lt: '<string>'},
deleted_at: {gte: '<string>', lte: '<string>', is_null: true}
},
group_by: 'origin'
})
};
fetch('https://app.gtm-api.com/email/v4/api/email-suppressions/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gtm-api.com/email/v4/api/email-suppressions/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period' => [
'from' => '<string>',
'to' => '<string>'
],
'filter' => [
'sid' => [
'eq' => '<string>',
'in' => [
'<string>'
]
],
'address' => [
'eq' => '<string>',
'in' => [
'<string>'
]
],
'origin' => [
'in' => [
],
'nin' => [
]
],
'created_at' => [
'gte' => '<string>',
'lte' => '<string>',
'gt' => '<string>',
'lt' => '<string>'
],
'deleted_at' => [
'gte' => '<string>',
'lte' => '<string>',
'is_null' => true
]
],
'group_by' => 'origin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Team-SID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.gtm-api.com/email/v4/api/email-suppressions/metrics"
payload := strings.NewReader("{\n \"period\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n },\n \"filter\": {\n \"sid\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"address\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"origin\": {\n \"in\": [],\n \"nin\": []\n },\n \"created_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"gt\": \"<string>\",\n \"lt\": \"<string>\"\n },\n \"deleted_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"is_null\": true\n }\n },\n \"group_by\": \"origin\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Team-SID", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.gtm-api.com/email/v4/api/email-suppressions/metrics")
.header("Authorization", "Bearer <token>")
.header("Team-SID", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"period\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n },\n \"filter\": {\n \"sid\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"address\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"origin\": {\n \"in\": [],\n \"nin\": []\n },\n \"created_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"gt\": \"<string>\",\n \"lt\": \"<string>\"\n },\n \"deleted_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"is_null\": true\n }\n },\n \"group_by\": \"origin\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gtm-api.com/email/v4/api/email-suppressions/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Team-SID"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"period\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n },\n \"filter\": {\n \"sid\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"address\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"origin\": {\n \"in\": [],\n \"nin\": []\n },\n \"created_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"gt\": \"<string>\",\n \"lt\": \"<string>\"\n },\n \"deleted_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"is_null\": true\n }\n },\n \"group_by\": \"origin\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"operation": "metrics",
"metrics": {
"period": {
"from": "<string>",
"to": "<string>"
},
"aggregated": {
"counts": {
"total_count": 123,
"groups": {
"origin": {}
}
},
"metrics": {
"added_count": 123,
"lifted_count": 123
}
},
"filter": {},
"metrics": {
"added_count": 123,
"lifted_count": 123
},
"groups": [
{
"key": "<string>",
"counts": {
"total_count": 123,
"groups": {
"origin": {}
}
},
"metrics": {
"added_count": 123,
"lifted_count": 123
}
}
]
},
"meta": {
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "<string>",
"duration_ms": 1,
"team_sid": "<string>",
"actor_type": "<string>"
},
"applied_filters": {}
}email_suppressions
Email stop-list metrics
The stop-list’s size and movement over a period: aggregated.counts is the live list now (total_count, and by origin in groups.origin), aggregated.metrics what happened inside the period (added_count, lifted_count). group_by origin splits both into groups[], one per origin that has a live row or moved in the period; an origin that is absent reads as zero. Use it for whether the list grows from bounces, complaints or opt-outs. period is required. Requires can_view_email_suppressions.
Contract:
- MCP tool
get_email_suppressions_metrics, registry packagemcp.email/email_suppressions, mountemail.deliverability. - Operation
metrics, response envelopemetrics. - Flags: read only.
POST
/
api
/
email-suppressions
/
metrics
Email stop-list metrics
curl --request POST \
--url https://app.gtm-api.com/email/v4/api/email-suppressions/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Team-SID: <api-key>' \
--data '
{
"period": {
"from": "<string>",
"to": "<string>"
},
"filter": {
"sid": {
"eq": "<string>",
"in": [
"<string>"
]
},
"address": {
"eq": "<string>",
"in": [
"<string>"
]
},
"origin": {
"in": [],
"nin": []
},
"created_at": {
"gte": "<string>",
"lte": "<string>",
"gt": "<string>",
"lt": "<string>"
},
"deleted_at": {
"gte": "<string>",
"lte": "<string>",
"is_null": true
}
},
"group_by": "origin"
}
'import requests
url = "https://app.gtm-api.com/email/v4/api/email-suppressions/metrics"
payload = {
"period": {
"from": "<string>",
"to": "<string>"
},
"filter": {
"sid": {
"eq": "<string>",
"in": ["<string>"]
},
"address": {
"eq": "<string>",
"in": ["<string>"]
},
"origin": {
"in": [],
"nin": []
},
"created_at": {
"gte": "<string>",
"lte": "<string>",
"gt": "<string>",
"lt": "<string>"
},
"deleted_at": {
"gte": "<string>",
"lte": "<string>",
"is_null": True
}
},
"group_by": "origin"
}
headers = {
"Authorization": "Bearer <token>",
"Team-SID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Team-SID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
period: {from: '<string>', to: '<string>'},
filter: {
sid: {eq: '<string>', in: ['<string>']},
address: {eq: '<string>', in: ['<string>']},
origin: {in: [], nin: []},
created_at: {gte: '<string>', lte: '<string>', gt: '<string>', lt: '<string>'},
deleted_at: {gte: '<string>', lte: '<string>', is_null: true}
},
group_by: 'origin'
})
};
fetch('https://app.gtm-api.com/email/v4/api/email-suppressions/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gtm-api.com/email/v4/api/email-suppressions/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period' => [
'from' => '<string>',
'to' => '<string>'
],
'filter' => [
'sid' => [
'eq' => '<string>',
'in' => [
'<string>'
]
],
'address' => [
'eq' => '<string>',
'in' => [
'<string>'
]
],
'origin' => [
'in' => [
],
'nin' => [
]
],
'created_at' => [
'gte' => '<string>',
'lte' => '<string>',
'gt' => '<string>',
'lt' => '<string>'
],
'deleted_at' => [
'gte' => '<string>',
'lte' => '<string>',
'is_null' => true
]
],
'group_by' => 'origin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Team-SID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.gtm-api.com/email/v4/api/email-suppressions/metrics"
payload := strings.NewReader("{\n \"period\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n },\n \"filter\": {\n \"sid\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"address\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"origin\": {\n \"in\": [],\n \"nin\": []\n },\n \"created_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"gt\": \"<string>\",\n \"lt\": \"<string>\"\n },\n \"deleted_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"is_null\": true\n }\n },\n \"group_by\": \"origin\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Team-SID", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.gtm-api.com/email/v4/api/email-suppressions/metrics")
.header("Authorization", "Bearer <token>")
.header("Team-SID", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"period\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n },\n \"filter\": {\n \"sid\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"address\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"origin\": {\n \"in\": [],\n \"nin\": []\n },\n \"created_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"gt\": \"<string>\",\n \"lt\": \"<string>\"\n },\n \"deleted_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"is_null\": true\n }\n },\n \"group_by\": \"origin\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gtm-api.com/email/v4/api/email-suppressions/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Team-SID"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"period\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n },\n \"filter\": {\n \"sid\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"address\": {\n \"eq\": \"<string>\",\n \"in\": [\n \"<string>\"\n ]\n },\n \"origin\": {\n \"in\": [],\n \"nin\": []\n },\n \"created_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"gt\": \"<string>\",\n \"lt\": \"<string>\"\n },\n \"deleted_at\": {\n \"gte\": \"<string>\",\n \"lte\": \"<string>\",\n \"is_null\": true\n }\n },\n \"group_by\": \"origin\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"operation": "metrics",
"metrics": {
"period": {
"from": "<string>",
"to": "<string>"
},
"aggregated": {
"counts": {
"total_count": 123,
"groups": {
"origin": {}
}
},
"metrics": {
"added_count": 123,
"lifted_count": 123
}
},
"filter": {},
"metrics": {
"added_count": 123,
"lifted_count": 123
},
"groups": [
{
"key": "<string>",
"counts": {
"total_count": 123,
"groups": {
"origin": {}
}
},
"metrics": {
"added_count": 123,
"lifted_count": 123
}
}
]
},
"meta": {
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "<string>",
"duration_ms": 1,
"team_sid": "<string>",
"actor_type": "<string>"
},
"applied_filters": {}
}Authorizations
Headers
Body
application/json